package org.springblade.modules.yjjl.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.system.vo.DeptListVo;
import org.springblade.modules.yjjl.entity.YjjlEntity;
import org.springblade.modules.yjjl.excel.YjjlExcel;
import org.springblade.modules.yjjl.vo.YjjlVO;

import java.util.List;
import java.util.Map;

/**
 * 场所检查-移交记录 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-29
 */
public interface YjjlMapper extends BaseMapper<YjjlEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param yjjl
	 * @return
	 */
	List<YjjlVO> selectYjjlPage(IPage page, YjjlVO yjjl);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<YjjlExcel> exportYjjl(@Param("ew") Wrapper<YjjlEntity> queryWrapper);

	DeptListVo getJdDept(@Param("params") Map<String, Object> params);

	DeptListVo getHzXfDept(@Param("params") Map<String, Object> params);

	IPage<YjjlVO> getYjjlPage(IPage<YjjlVO> page, @Param("params") Map<String, Object> params);

	List<YjjlVO> getHistoryById(@Param("params") Map<String, Object> params);

	DeptListVo getFjDept(@Param("params") Map<String, Object> params);

	DeptListVo getXqxjw(@Param("params") Map<String, Object> params);

	YjjlVO selectBgsy(YjjlVO yjjlVO);

	DeptListVo getXfDept(@Param("params") Map<String, Object> params);
}
